# ApplicationFramework
TKXmlL
XmlObjMgt

# XmlObjMgt Class Reference

This package defines services to manage the storage
grain of data produced by applications and those classes
to manage persistent extern reference.
.

`#include <XmlObjMgt.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT const XmlObjMgt_DOMString & | IdString ()
| Define the name of XMLattribute 'ID' (to be used everywhere) .
static Standard_EXPORT Standard_Boolean | SetExtendedString (XmlObjMgt_Element &theElement, const TCollection_ExtendedString &theString)
| Add attribute <theElement extstring="theString" ...> .
static Standard_EXPORT Standard_Boolean | GetExtendedString (const XmlObjMgt_Element &theElement, TCollection_ExtendedString &theString)
| Get attribute <theElement extstring="theString" ...> .
static Standard_EXPORT XmlObjMgt_DOMString | GetStringValue (const XmlObjMgt_Element &theElement)
| Returns the first child text node .
static Standard_EXPORT void | SetStringValue (XmlObjMgt_Element &theElement, const XmlObjMgt_DOMString &theData, const Standard_Boolean isClearText=Standard_False)
| Add theData as the last child text node to theElement isClearText(True) avoids analysis of the string and replacement of characters like '<' and '&' during XML file storage. Do NEVER set isClearText unless you have a hell of a reason .
static Standard_EXPORT Standard_Boolean | GetTagEntryString (const XmlObjMgt_DOMString &theTarget, TCollection_AsciiString &theTagEntry)
| Convert XPath expression (DOMString) into TagEntry string returns False on Error .
static Standard_EXPORT void | SetTagEntryString (XmlObjMgt_DOMString &theSource, const TCollection_AsciiString &theTagEntry)
| Convert XPath expression (DOMString) into TagEntry string returns False on Error .
static Standard_EXPORT XmlObjMgt_Element | FindChildElement (const XmlObjMgt_Element &theSource, const Standard_Integer theObjId)
static Standard_EXPORT XmlObjMgt_Element | FindChildByRef (const XmlObjMgt_Element &theSource, const XmlObjMgt_DOMString &theRefName)
static Standard_EXPORT XmlObjMgt_Element | FindChildByName (const XmlObjMgt_Element &theSource, const XmlObjMgt_DOMString &theName)
static Standard_EXPORT Standard_Boolean | GetInteger (Standard_CString &theString, Standard_Integer &theValue)
static Standard_EXPORT Standard_Boolean | GetReal (Standard_CString &theString, Standard_Real &theValue)
static Standard_EXPORT Standard_Boolean | GetReal (const XmlObjMgt_DOMString &theString, Standard_Real &theValue)

## Member Function Documentation

static Standard_EXPORT XmlObjMgt_Element XmlObjMgt::FindChildByName | ( | const XmlObjMgt_Element & | theSource,
|  | const XmlObjMgt_DOMString & | theName
| ) | `[static]`

static Standard_EXPORT XmlObjMgt_Element XmlObjMgt::FindChildByRef | ( | const XmlObjMgt_Element & | theSource,
|  | const XmlObjMgt_DOMString & | theRefName
| ) | `[static]`

static Standard_EXPORT XmlObjMgt_Element XmlObjMgt::FindChildElement | ( | const XmlObjMgt_Element & | theSource,
|  | const Standard_Integer | theObjId
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt::GetExtendedString | ( | const XmlObjMgt_Element & | theElement,
|  | TCollection_ExtendedString & | theString
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt::GetInteger | ( | Standard_CString & | theString,
|  | Standard_Integer & | theValue
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt::GetReal | ( | const XmlObjMgt_DOMString & | theString,
|  | Standard_Real & | theValue
| ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt::GetReal | ( | Standard_CString & | theString,
|  | Standard_Real & | theValue
| ) | `[static]`

static Standard_EXPORT XmlObjMgt_DOMString XmlObjMgt::GetStringValue | ( | const XmlObjMgt_Element & | theElement | ) | `[static]`

static Standard_EXPORT Standard_Boolean XmlObjMgt::GetTagEntryString | ( | const XmlObjMgt_DOMString & | theTarget,
|  | TCollection_AsciiString & | theTagEntry
| ) | `[static]`

static Standard_EXPORT const XmlObjMgt_DOMString& XmlObjMgt::IdString | ( |  | ) | `[static]`

void XmlObjMgt::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlObjMgt::operator new | ( | size_t | size | ) | `[inline]`

void* XmlObjMgt::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean XmlObjMgt::SetExtendedString | ( | XmlObjMgt_Element & | theElement,
|  | const TCollection_ExtendedString & | theString
| ) | `[static]`

static Standard_EXPORT void XmlObjMgt::SetStringValue | ( | XmlObjMgt_Element & | theElement,
|  | const XmlObjMgt_DOMString & | theData,
|  | const Standard_Boolean | isClearText = `Standard_False`
| ) | `[static]`

static Standard_EXPORT void XmlObjMgt::SetTagEntryString | ( | XmlObjMgt_DOMString & | theSource,
|  | const TCollection_AsciiString & | theTagEntry
| ) | `[static]`

The documentation for this class was generated from the following file:

- XmlObjMgt.hxx